# boost::numeric::ublas::vector_slice< V >::iterator Class Reference

List of all members.

## Public Types
typedef V::iterator::difference_type | difference_type
typedef V::iterator::value_type | value_type
typedef V::reference | reference
typedef V::iterator::pointer | pointer
## Public Member Functions
BOOST_UBLAS_INLINE | iterator (self_type &vs, const subiterator_type &it)
BOOST_UBLAS_INLINE iterator & | operator++ ()
BOOST_UBLAS_INLINE iterator & | operator-- ()
BOOST_UBLAS_INLINE iterator & | operator+= (difference_type n)
BOOST_UBLAS_INLINE iterator & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const iterator &it) const
BOOST_UBLAS_INLINE reference | operator* () const
BOOST_UBLAS_INLINE reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE size_type | index () const
BOOST_UBLAS_INLINE iterator & | operator= (const iterator &it)
BOOST_UBLAS_INLINE bool | operator== (const iterator &it) const
BOOST_UBLAS_INLINE bool | operator< (const iterator &it) const
## Friends
class | const_iterator

### template<class V>
class boost::numeric::ublas::vector_slice< V >::iterator